Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin
Class JServer

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.JServer

    public class JServer

extends java.lang.Object

Author:
  gtoffoli

Constructor Summary
`JServer()` Creates a new instance of JServer

Method Summary
`java.lang.String` | `getLocale()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUsername()`
`WSClient` | `getWSClient()`
`boolean` | `isLoaded()`
`boolean` | `isLoading()`
`void` | `setLoaded(boolean loaded)`
`void` | `setLoading(boolean loading)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setName(java.lang.String name)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUsername(java.lang.String username)`
`void` | `setWSClient(WSClient wSClient)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JServer

    public JServer()

  Creates a new instance of JServer

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isLoaded

    public boolean isLoaded()

### setLoaded

    public void setLoaded(boolean loaded)

### getWSClient

    public WSClient getWSClient()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWSClient

    public void setWSClient(WSClient wSClient)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

### isLoading

    public boolean isLoading()

### setLoading

    public void setLoading(boolean loading)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.